> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ponto-on.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Criar funcionários

> Criar funcionários



## OpenAPI

````yaml post /funcionarios
openapi: 3.0.3
info:
  title: PontoOn
  version: 1.0.0
  contact: {}
servers:
  - url: https://api-hml.ponto-on.com
security: []
tags:
  - name: Private (Admin)
  - name: Endpoints para Empresas
  - name: Endpoints para Funcionários
  - name: Auth Empresas e Admins
paths:
  /funcionarios:
    post:
      tags:
        - Endpoints para Empresas
      summary: Criar funcionários
      description: Criar funcionários
      operationId: criarFuncionRios
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                cargo:
                  type: string
                  example: Desenvolvedor Junior
                cpf:
                  type: string
                  example: 123.123.123-20
                dataNascimento:
                  type: string
                  example: 14/05/1996
                email:
                  type: string
                  example: teste@funcionario.com
                empresaId:
                  type: number
                  example: 2
                escalaTrabalhoId:
                  type: number
                  example: 1
                nome:
                  type: string
                  example: Leticia Ferreira de Lima
                password:
                  type: string
                  example: '123456789'
                telefone:
                  type: string
                  example: '31996745309'
            examples:
              Criar funcionários:
                value:
                  cargo: Desenvolvedor Junior
                  cpf: 123.123.123-20
                  dataNascimento: 14/05/1996
                  email: teste@funcionario.com
                  empresaId: 2
                  escalaTrabalhoId: 1
                  nome: Leticia Ferreira de Lima
                  password: '123456789'
                  telefone: '31996745309'
      responses:
        '200':
          description: Criar funcionários
          headers:
            Authorization:
              schema:
                type: string
                example: >-
                  Bearer
                  eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1c2VyIjp7ImlkIjoxLCJyYXphb1NvY2lhbCI6IlJIIENPTk5FQ1QgTFREQSIsImVtYWlsIjoidGVzdGUxQHRlc3RlLmNvbSIsImNucGoiOiI0Mi4wNDMuMzE0LzAwMDEtODkiLCJkYXRhQWJlcnR1cmEiOiIyNS8wMS8yMDI0Iiwicm9sZSI6ImVtcHJlc2EifSwiaWF0IjoxNzA2MzgwNTgxLCJleHAiOjE3MDYzODQxODF9.GiPn0dj3FZe_bMJPcbS9IH6orA4oBbDlBuc-tWpMEbM
          content:
            application/json:
              schema:
                type: object
                properties:
                  cargo:
                    type: string
                    example: Desenvolvedor Junior
                  cpf:
                    type: string
                    example: 123.123.123-20
                  dataNascimento:
                    type: string
                    example: 14/05/1996
                  email:
                    type: string
                    example: teste@funcionario.com
                  empresaId:
                    type: number
                    example: 2
                  escalaTrabalhoId:
                    type: number
                    example: 1
                  nome:
                    type: string
                    example: Leticia Ferreira de Lima
                  password:
                    type: string
                    example: alsdkjalksjdo@8123iasjdoaisjdoi
                  telefone:
                    type: string
                    example: '31996745309'
              examples:
                Criar funcionários:
                  value:
                    cargo: Desenvolvedor Junior
                    cpf: 123.123.123-20
                    dataNascimento: 14/05/1996
                    email: teste@funcionario.com
                    empresaId: 2
                    escalaTrabalhoId: 1
                    nome: Leticia Ferreira de Lima
                    password: alsdkjalksjdo@8123iasjdoaisjdoi
                    telefone: '31996745309'
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````